# Alarm clock

Arduino alarm clock with binary matrix LED display and IR remote control.

## Features

* 8×8 LED display using two 74HC595N
* hour-minute-second binary display
* buzzer alarm
* IR remote control for settings and stopping alarm
* big pushbutton for stopping alarm
* light sensor for dimming display

## TODO

* supercapacitor & low-voltage detection
* casing
* multiple alarms
* better LED dimming (maybe use PWM on 74HC's OE)
* date (at least weekday)
* connection with online timetable?
* progressive alarm ringing

## License

GNU AGPL v3, CopyLeft 2022 Pascal Engélibert

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Affero General Public License as published by the Free Software Foundation, version 3 of the License.  
This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Affero General Public License for more details.  
You should have received a copy of the GNU Affero General Public License along with this program. If not, see https://www.gnu.org/licenses/.
